--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: allow
- !ruby/object:RI::MethodSummary 
  name: prevent
- !ruby/object:RI::MethodSummary 
  name: warn_when
comment: 
- !ruby/struct:SM::Flow::P 
  body: Configuration settings
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: DEFAULTS
  value: "{ :stubbing_method_unnecessarily => :allow, :stubbing_method_on_non_mock_object => :allow, :stubbing_non_existent_method => :allow, :stubbing_non_public_method => :allow }"
full_name: Mocha::Configuration
includes: []

instance_methods: []

name: Configuration
superclass: Object
